Wireshark-dev: Re: [Wireshark-dev] problem in compiling
From: Jeff Morriss <[email protected]>
Date: Mon, 30 Jun 2008 13:19:31 -0400

nima wrote:
Hi every body
I had compiled and installed the ethereal 9.x.x without any problem, but while installing Wireshark 1.0.0 the error below arises : /* gcc -DINET6 "-D_U_=__attribute__((unused))" -g -O2 -Wall -W -Wdeclaration-after-statement -Wendif-labels -Wpointer-arith -I/usr/local/include -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/X11R6/include -I/usr/include/libpng12 -o .libs/capinfos capinfos.o -Wl,--export-dynamic -L/usr/local/lib wiretap/.libs/libwiretap.so /usr/lib/libgmodule-2.0.so -ldl /usr/lib/libglib-2.0.so -lz
capinfos.o(.text+0x1f3): In function `main':
/root/wireshark-1.0.0/capinfos.c:293: undefined reference to `get_credential_info'
Are you configured to use plugins?  My guess is not (either 
intentionally or because your system does not support plugins).
To fix that problem you would need to add "epan/privileges.c" to 
"editcap_SOURCES" and "capinfos_SOURCES" in Makefile.common.
I checked in a different fix to the trunk (rev 25640) though it would be 
good to get the above change into the 1.0 trunk.